summaryrefslogtreecommitdiffstats
path: root/source/l/gdbm
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/gdbm
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/gdbm')
-rwxr-xr-xsource/l/gdbm/gdbm.SlackBuild36
-rw-r--r--source/l/gdbm/gdbm.zeroheaders.patch36
-rw-r--r--source/l/gdbm/slack-desc6
3 files changed, 24 insertions, 54 deletions
diff --git a/source/l/gdbm/gdbm.SlackBuild b/source/l/gdbm/gdbm.SlackBuild
index 24630d653..3e3a386a1 100755
--- a/source/l/gdbm/gdbm.SlackBuild
+++ b/source/l/gdbm/gdbm.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,11 @@
# Build gdbm-$VERSION for Slackware
# by volkerdi@slackware.com, 2/2001
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gdbm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -38,7 +39,16 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-gdbm
rm -rf $PKG
@@ -69,25 +79,21 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Prevent gdbm from storing uninitialized memory content
-# to database files. This patch improves security, as the
-# uninitialized memory might contain sensitive informations
-# from other applications.
-# https://bugzilla.redhat.com/show_bug.cgi?id=4457
-# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=208927
-zcat $CWD/gdbm.zeroheaders.patch.gz | patch -p1 --verbose || exit 1
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--infodir=/usr/info \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
-make -j4 || exit 1
+make install DESTDIR=$PKG || exit 1
-make install DESTDIR=$PKG
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
# I'm not sure what out there would need the "libgdbm_compat" library,
# but it causes versions of ndbm.h and dbm.h to be installed that break
diff --git a/source/l/gdbm/gdbm.zeroheaders.patch b/source/l/gdbm/gdbm.zeroheaders.patch
deleted file mode 100644
index 7d2f06560..000000000
--- a/source/l/gdbm/gdbm.zeroheaders.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-Don't let gdbm allocate memory and then write it to files without
-clearing it first. See: https://bugzilla.redhat.com/show_bug.cgi?id=4457
-
-diff -up gdbm-1.10/src/falloc.c.zeroheaders gdbm-1.10/src/falloc.c
---- gdbm-1.10/src/falloc.c.zeroheaders 2011-11-11 11:59:11.000000000 +0100
-+++ gdbm-1.10/src/falloc.c 2011-11-14 17:34:32.487604027 +0100
-@@ -255,7 +255,7 @@ push_avail_block (GDBM_FILE dbf)
-
-
- /* Split the header block. */
-- temp = (avail_block *) malloc (av_size);
-+ temp = (avail_block *) calloc (1, av_size);
- if (temp == NULL) _gdbm_fatal (dbf, _("malloc error"));
- /* Set the size to be correct AFTER the pop_avail_block. */
- temp->size = dbf->header->avail.size;
-diff -up gdbm-1.10/src/gdbmopen.c.zeroheaders gdbm-1.10/src/gdbmopen.c
---- gdbm-1.10/src/gdbmopen.c.zeroheaders 2011-11-11 19:39:42.000000000 +0100
-+++ gdbm-1.10/src/gdbmopen.c 2011-11-14 17:33:24.867608650 +0100
-@@ -264,7 +264,7 @@ gdbm_open (const char *file, int block_s
- (dbf->header->block_size - sizeof (hash_bucket))
- / sizeof (bucket_element) + 1;
- dbf->header->bucket_size = dbf->header->block_size;
-- dbf->bucket = (hash_bucket *) malloc (dbf->header->bucket_size);
-+ dbf->bucket = (hash_bucket *) calloc (1, dbf->header->bucket_size);
- if (dbf->bucket == NULL)
- {
- gdbm_close (dbf);
-@@ -456,7 +456,7 @@ _gdbm_init_cache(GDBM_FILE dbf, size_t s
- for(index = 0; index < size; index++)
- {
- (dbf->bucket_cache[index]).ca_bucket
-- = (hash_bucket *) malloc (dbf->header->bucket_size);
-+ = (hash_bucket *) calloc (1, dbf->header->bucket_size);
- if ((dbf->bucket_cache[index]).ca_bucket == NULL)
- {
- gdbm_errno = GDBM_MALLOC_ERROR;
diff --git a/source/l/gdbm/slack-desc b/source/l/gdbm/slack-desc
index d668d9544..a6b57fdc9 100644
--- a/source/l/gdbm/slack-desc
+++ b/source/l/gdbm/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|